summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--THANKS2
-rw-r--r--tests/Makefile.am1
-rw-r--r--tests/high-bit-range28
3 files changed, 31 insertions, 0 deletions
diff --git a/THANKS b/THANKS
index 116b9c40..9ee6be36 100644
--- a/THANKS
+++ b/THANKS
@@ -37,6 +37,7 @@ H. Merijn Brand <h.m.brand@hccnet.nl>
Harald Hanche-Olsen <hanche@math.ntnu.no>
Hans-Bernhard Broeker <broeker@physik.rwth-aachen.de>
Heikki Korpela <heko@iki.fi>
+Igor O. Ladygin <assa@zabtrans.ru>
Ilya Basin <basinilya@gmail.com>
Isamu Hasegawa <isamu@yamato.ibm.com>
Jaroslav Škarvada <jskarvad@redhat.com>
@@ -76,6 +77,7 @@ Philippe De Muyter <phdm@info.ucl.ac.be>
Philip Hazel <ph10@cus.cam.ac.uk>
Roland Roberts <rroberts@muller.com>
Ruslan Ermilov <ru@freebsd.org>
+Santiago Ruano Rincón <santiago@debian.org>
Santiago Vila <sanvila@unex.es>
Shannon Hill <hill@synnet.com>
Sotiris Vassilopoulos <Sotiris.Vassilopoulos@betatech.gr>
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 7233c011..53314a82 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -63,6 +63,7 @@ TESTS = \
inconsistent-range \
khadafy \
max-count-vs-context \
+ high-bit-range \
options \
pcre \
pcre-z \
diff --git a/tests/high-bit-range b/tests/high-bit-range
new file mode 100644
index 00000000..d150633f
--- /dev/null
+++ b/tests/high-bit-range
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Exercise high-bit-set unibyte-in-[...]-range bug.
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+printf '\x81\n' > in || framework_failure_
+grep "$(printf '[\x81]')" in > out || fail=1
+
+compare out in || fail=1
+
+Exit $fail